export declare const theme: {
    colors: {
        content: {
            accent: string;
            base: string;
            subtle: string;
            weak: string;
            baseInverse: string;
            subtleInverse: string;
            weakInverse: string;
            danger: string;
            warning: string;
            success: string;
        };
        contentState: {
            accent: {
                hover: string;
                active: string;
                disable: string;
            };
            base: {
                hover: string;
                active: string;
                disable: string;
            };
            subtle: {
                hover: string;
                active: string;
                disable: string;
            };
            weak: {
                hover: string;
                active: string;
                disable: string;
            };
            baseInverse: {
                hover: string;
                active: string;
                disable: string;
            };
            subtleInverse: {
                hover: string;
                active: string;
                disable: string;
            };
            weakInverse: {
                hover: string;
                active: string;
                disable: string;
            };
            danger: {
                hover: string;
                active: string;
                disable: string;
            };
            warning: {
                hover: string;
                active: string;
                disable: string;
            };
            success: {
                hover: string;
                active: string;
                disable: string;
            };
        };
        background: {
            accent: string;
            accentLight: string;
            base: string;
            subtle: string;
            weak: string;
            dark: string;
            darkLight: string;
            transaction: string;
            danger: string;
            dangerLight: string;
            warning: string;
            warningLight: string;
            success: string;
            successLight: string;
        };
        backgroundState: {
            accent: {
                hover: string;
                active: string;
                disable: string;
            };
            accentLight: {
                hover: string;
                active: string;
                disable: string;
            };
            base: {
                hover: string;
                active: string;
                disable: string;
            };
            dark: {
                hover: string;
                active: string;
                disable: string;
            };
            darkLight: {
                hover: string;
                active: string;
                disable: string;
            };
            darkLightCopy: {
                hover: string;
                active: string;
                disable: string;
            };
            transaction: {
                hover: string;
                active: string;
                disable: string;
            };
        };
        border: {
            base: string;
            subtle: string;
            weak: string;
            dark: string;
            darkLight: string;
            accent: string;
            focus: string;
            danger: string;
            amber: string;
            success: string;
        };
        borderState: {
            dark: {
                hover: string;
                active: string;
                disable: string;
            };
            darkLight: {
                hover: string;
                active: string;
                disable: string;
            };
            accent: {
                hover: string;
                active: string;
                disable: string;
            };
            focus: {
                hover: string;
                active: string;
                disable: string;
            };
            danger: {
                hover: string;
                active: string;
                disable: string;
            };
            warning: {
                hover: string;
                active: string;
                disable: string;
            };
            success: {
                hover: string;
                active: string;
                disable: string;
            };
        };
    };
    effects: {
        shadow: {
            lvl0: {
                color: string;
                x: string;
                y: string;
                blur: string;
                spread: string;
            };
            lvl1: {
                0: {
                    color: string;
                    x: string;
                    y: string;
                    blur: string;
                    spread: string;
                };
                1: {
                    color: string;
                    x: string;
                    y: string;
                    blur: string;
                    spread: string;
                };
            };
            lvl2: {
                0: {
                    color: string;
                    x: string;
                    y: string;
                    blur: string;
                    spread: string;
                };
                1: {
                    color: string;
                    x: string;
                    y: string;
                    blur: string;
                    spread: string;
                };
            };
            lvl3: {
                0: {
                    color: string;
                    x: string;
                    y: string;
                    blur: string;
                    spread: string;
                };
                1: {
                    color: string;
                    x: string;
                    y: string;
                    blur: string;
                    spread: string;
                };
            };
            lvl4: {
                0: {
                    color: string;
                    x: string;
                    y: string;
                    blur: string;
                    spread: string;
                };
                1: {
                    color: string;
                    x: string;
                    y: string;
                    blur: string;
                    spread: string;
                };
            };
            lvl5: {
                0: {
                    color: string;
                    x: string;
                    y: string;
                    blur: string;
                    spread: string;
                };
                1: {
                    color: string;
                    x: string;
                    y: string;
                    blur: string;
                    spread: string;
                };
            };
        };
    };
    spacing: {
        borderRadius: {
            none: string;
            tiny: string;
            small: string;
            medium: string;
            elipse: string;
        };
    };
    typography: {
        default: {
            desktop: {
                headings: {
                    h1: {
                        fontFamily: string;
                        fontWeight: string;
                        lineHeight: string;
                        fontSize: string;
                        letterSpacing: string;
                        paragraphSpacing: string;
                        textDecoration: string;
                        textCase: string;
                    };
                    h1Light: {
                        fontFamily: string;
                        fontWeight: string;
                        lineHeight: string;
                        fontSize: string;
                        letterSpacing: string;
                        paragraphSpacing: string;
                        textDecoration: string;
                        textCase: string;
                    };
                    h2: {
                        fontFamily: string;
                        fontWeight: string;
                        lineHeight: string;
                        fontSize: string;
                        letterSpacing: string;
                        paragraphSpacing: string;
                        textDecoration: string;
                        textCase: string;
                    };
                    h3: {
                        fontFamily: string;
                        fontWeight: string;
                        lineHeight: string;
                        fontSize: string;
                        letterSpacing: string;
                        paragraphSpacing: string;
                        textDecoration: string;
                        textCase: string;
                    };
                    h4: {
                        fontFamily: string;
                        fontWeight: string;
                        lineHeight: string;
                        fontSize: string;
                        letterSpacing: string;
                        paragraphSpacing: string;
                        textDecoration: string;
                        textCase: string;
                    };
                };
                body: {
                    primary: {
                        fontFamily: string;
                        fontWeight: string;
                        lineHeight: string;
                        fontSize: string;
                        letterSpacing: string;
                        paragraphSpacing: string;
                        textDecoration: string;
                        textCase: string;
                    };
                    secondary: {
                        fontFamily: string;
                        fontWeight: string;
                        lineHeight: string;
                        fontSize: string;
                        letterSpacing: string;
                        paragraphSpacing: string;
                        textDecoration: string;
                        textCase: string;
                    };
                    tertiary: {
                        fontFamily: string;
                        fontWeight: string;
                        lineHeight: string;
                        fontSize: string;
                        letterSpacing: string;
                        paragraphSpacing: string;
                        textDecoration: string;
                        textCase: string;
                    };
                };
                label: {
                    primary: {
                        fontFamily: string;
                        fontWeight: string;
                        lineHeight: string;
                        fontSize: string;
                        letterSpacing: string;
                        paragraphSpacing: string;
                        textDecoration: string;
                        textCase: string;
                    };
                    secondary: {
                        fontFamily: string;
                        fontWeight: string;
                        lineHeight: string;
                        fontSize: string;
                        letterSpacing: string;
                        paragraphSpacing: string;
                        textDecoration: string;
                        textCase: string;
                    };
                    tertiary: {
                        fontFamily: string;
                        fontWeight: string;
                        lineHeight: string;
                        fontSize: string;
                        letterSpacing: string;
                        paragraphSpacing: string;
                        textDecoration: string;
                        textCase: string;
                    };
                };
                input: {
                    primary: {
                        fontFamily: string;
                        fontWeight: string;
                        lineHeight: string;
                        fontSize: string;
                        letterSpacing: string;
                        paragraphSpacing: string;
                        textDecoration: string;
                        textCase: string;
                    };
                    secondary: {
                        fontFamily: string;
                        fontWeight: string;
                        lineHeight: string;
                        fontSize: string;
                        letterSpacing: string;
                        paragraphSpacing: string;
                        textDecoration: string;
                        textCase: string;
                    };
                };
                button: {
                    primary: {
                        fontFamily: string;
                        fontWeight: string;
                        lineHeight: string;
                        fontSize: string;
                        letterSpacing: string;
                        paragraphSpacing: string;
                        textDecoration: string;
                        textCase: string;
                    };
                    secondary: {
                        fontFamily: string;
                        fontWeight: string;
                        lineHeight: string;
                        fontSize: string;
                        letterSpacing: string;
                        paragraphSpacing: string;
                        textDecoration: string;
                        textCase: string;
                    };
                    tertiary: {
                        fontFamily: string;
                        fontWeight: string;
                        lineHeight: string;
                        fontSize: string;
                        letterSpacing: string;
                        paragraphSpacing: string;
                        textDecoration: string;
                        textCase: string;
                    };
                };
            };
            mobile: {
                headings: {
                    h1: {
                        fontFamily: string;
                        fontWeight: string;
                        lineHeight: string;
                        fontSize: string;
                        letterSpacing: string;
                        paragraphSpacing: string;
                        textDecoration: string;
                        textCase: string;
                    };
                    h1Light: {
                        fontFamily: string;
                        fontWeight: string;
                        lineHeight: string;
                        fontSize: string;
                        letterSpacing: string;
                        paragraphSpacing: string;
                        textDecoration: string;
                        textCase: string;
                    };
                    h2: {
                        fontFamily: string;
                        fontWeight: string;
                        lineHeight: string;
                        fontSize: string;
                        letterSpacing: string;
                        paragraphSpacing: string;
                        textDecoration: string;
                        textCase: string;
                    };
                    h3: {
                        fontFamily: string;
                        fontWeight: string;
                        lineHeight: string;
                        fontSize: string;
                        letterSpacing: string;
                        paragraphSpacing: string;
                        textDecoration: string;
                        textCase: string;
                    };
                    h4: {
                        fontFamily: string;
                        fontWeight: string;
                        lineHeight: string;
                        fontSize: string;
                        letterSpacing: string;
                        paragraphSpacing: string;
                        textDecoration: string;
                        textCase: string;
                    };
                };
                body: {
                    primary: {
                        fontFamily: string;
                        fontWeight: string;
                        lineHeight: string;
                        fontSize: string;
                        letterSpacing: string;
                        paragraphSpacing: string;
                        textDecoration: string;
                        textCase: string;
                    };
                    secondary: {
                        fontFamily: string;
                        fontWeight: string;
                        lineHeight: string;
                        fontSize: string;
                        letterSpacing: string;
                        paragraphSpacing: string;
                        textDecoration: string;
                        textCase: string;
                    };
                    tertiary: {
                        fontFamily: string;
                        fontWeight: string;
                        lineHeight: string;
                        fontSize: string;
                        letterSpacing: string;
                        paragraphSpacing: string;
                        textDecoration: string;
                        textCase: string;
                    };
                };
                label: {
                    primary: {
                        fontFamily: string;
                        fontWeight: string;
                        lineHeight: string;
                        fontSize: string;
                        letterSpacing: string;
                        paragraphSpacing: string;
                        textDecoration: string;
                        textCase: string;
                    };
                    secondary: {
                        fontFamily: string;
                        fontWeight: string;
                        lineHeight: string;
                        fontSize: string;
                        letterSpacing: string;
                        paragraphSpacing: string;
                        textDecoration: string;
                        textCase: string;
                    };
                    tertiary: {
                        fontFamily: string;
                        fontWeight: string;
                        lineHeight: string;
                        fontSize: string;
                        letterSpacing: string;
                        paragraphSpacing: string;
                        textDecoration: string;
                        textCase: string;
                    };
                };
                input: {
                    primary: {
                        fontFamily: string;
                        fontWeight: string;
                        lineHeight: string;
                        fontSize: string;
                        letterSpacing: string;
                        paragraphSpacing: string;
                        textDecoration: string;
                        textCase: string;
                    };
                    secondary: {
                        fontFamily: string;
                        fontWeight: string;
                        lineHeight: string;
                        fontSize: string;
                        letterSpacing: string;
                        paragraphSpacing: string;
                        textDecoration: string;
                        textCase: string;
                    };
                };
                button: {
                    primary: {
                        fontFamily: string;
                        fontWeight: string;
                        lineHeight: string;
                        fontSize: string;
                        letterSpacing: string;
                        paragraphSpacing: string;
                        textDecoration: string;
                        textCase: string;
                    };
                    secondary: {
                        fontFamily: string;
                        fontWeight: string;
                        lineHeight: string;
                        fontSize: string;
                        letterSpacing: string;
                        paragraphSpacing: string;
                        textDecoration: string;
                        textCase: string;
                    };
                    tertiary: {
                        fontFamily: string;
                        fontWeight: string;
                        lineHeight: string;
                        fontSize: string;
                        letterSpacing: string;
                        paragraphSpacing: string;
                        textDecoration: string;
                        textCase: string;
                    };
                };
            };
        };
        nonEnglish: {
            desktop: {
                headings: {
                    h1: {
                        fontFamily: string;
                        fontWeight: string;
                        lineHeight: string;
                        fontSize: string;
                        letterSpacing: string;
                        paragraphSpacing: string;
                        textDecoration: string;
                        textCase: string;
                    };
                    h1Light: {
                        fontFamily: string;
                        fontWeight: string;
                        lineHeight: string;
                        fontSize: string;
                        letterSpacing: string;
                        paragraphSpacing: string;
                        textDecoration: string;
                        textCase: string;
                    };
                    h2: {
                        fontFamily: string;
                        fontWeight: string;
                        lineHeight: string;
                        fontSize: string;
                        letterSpacing: string;
                        paragraphSpacing: string;
                        textDecoration: string;
                        textCase: string;
                    };
                    h3: {
                        fontFamily: string;
                        fontWeight: string;
                        lineHeight: string;
                        fontSize: string;
                        letterSpacing: string;
                        paragraphSpacing: string;
                        textDecoration: string;
                        textCase: string;
                    };
                    h4: {
                        fontFamily: string;
                        fontWeight: string;
                        lineHeight: string;
                        fontSize: string;
                        letterSpacing: string;
                        paragraphSpacing: string;
                        textDecoration: string;
                        textCase: string;
                    };
                };
                body: {
                    primary: {
                        fontFamily: string;
                        fontWeight: string;
                        lineHeight: string;
                        fontSize: string;
                        letterSpacing: string;
                        paragraphSpacing: string;
                        textDecoration: string;
                        textCase: string;
                    };
                    secondary: {
                        fontFamily: string;
                        fontWeight: string;
                        lineHeight: string;
                        fontSize: string;
                        letterSpacing: string;
                        paragraphSpacing: string;
                        textDecoration: string;
                        textCase: string;
                    };
                    tertiary: {
                        fontFamily: string;
                        fontWeight: string;
                        lineHeight: string;
                        fontSize: string;
                        letterSpacing: string;
                        paragraphSpacing: string;
                        textDecoration: string;
                        textCase: string;
                    };
                };
                label: {
                    primary: {
                        fontFamily: string;
                        fontWeight: string;
                        lineHeight: string;
                        fontSize: string;
                        letterSpacing: string;
                        paragraphSpacing: string;
                        textDecoration: string;
                        textCase: string;
                    };
                    secondary: {
                        fontFamily: string;
                        fontWeight: string;
                        lineHeight: string;
                        fontSize: string;
                        letterSpacing: string;
                        paragraphSpacing: string;
                        textDecoration: string;
                        textCase: string;
                    };
                    tertiary: {
                        fontFamily: string;
                        fontWeight: string;
                        lineHeight: string;
                        fontSize: string;
                        letterSpacing: string;
                        paragraphSpacing: string;
                        textDecoration: string;
                        textCase: string;
                    };
                };
                input: {
                    primary: {
                        fontFamily: string;
                        fontWeight: string;
                        lineHeight: string;
                        fontSize: string;
                        letterSpacing: string;
                        paragraphSpacing: string;
                        textDecoration: string;
                        textCase: string;
                    };
                    secondary: {
                        fontFamily: string;
                        fontWeight: string;
                        lineHeight: string;
                        fontSize: string;
                        letterSpacing: string;
                        paragraphSpacing: string;
                        textDecoration: string;
                        textCase: string;
                    };
                };
                button: {
                    primary: {
                        fontFamily: string;
                        fontWeight: string;
                        lineHeight: string;
                        fontSize: string;
                        letterSpacing: string;
                        paragraphSpacing: string;
                        textDecoration: string;
                        textCase: string;
                    };
                    secondary: {
                        fontFamily: string;
                        fontWeight: string;
                        lineHeight: string;
                        fontSize: string;
                        letterSpacing: string;
                        paragraphSpacing: string;
                        textDecoration: string;
                        textCase: string;
                    };
                    tertiary: {
                        fontFamily: string;
                        fontWeight: string;
                        lineHeight: string;
                        fontSize: string;
                        letterSpacing: string;
                        paragraphSpacing: string;
                        textDecoration: string;
                        textCase: string;
                    };
                };
            };
            mobile: {
                headings: {
                    h1: {
                        fontFamily: string;
                        fontWeight: string;
                        lineHeight: string;
                        fontSize: string;
                        letterSpacing: string;
                        paragraphSpacing: string;
                        textDecoration: string;
                        textCase: string;
                    };
                    h1Light: {
                        fontFamily: string;
                        fontWeight: string;
                        lineHeight: string;
                        fontSize: string;
                        letterSpacing: string;
                        paragraphSpacing: string;
                        textDecoration: string;
                        textCase: string;
                    };
                    h2: {
                        fontFamily: string;
                        fontWeight: string;
                        lineHeight: string;
                        fontSize: string;
                        letterSpacing: string;
                        paragraphSpacing: string;
                        textDecoration: string;
                        textCase: string;
                    };
                    h3: {
                        fontFamily: string;
                        fontWeight: string;
                        lineHeight: string;
                        fontSize: string;
                        letterSpacing: string;
                        paragraphSpacing: string;
                        textDecoration: string;
                        textCase: string;
                    };
                    h4: {
                        fontFamily: string;
                        fontWeight: string;
                        lineHeight: string;
                        fontSize: string;
                        letterSpacing: string;
                        paragraphSpacing: string;
                        textDecoration: string;
                        textCase: string;
                    };
                };
                body: {
                    primary: {
                        fontFamily: string;
                        fontWeight: string;
                        lineHeight: string;
                        fontSize: string;
                        letterSpacing: string;
                        paragraphSpacing: string;
                        textDecoration: string;
                        textCase: string;
                    };
                    secondary: {
                        fontFamily: string;
                        fontWeight: string;
                        lineHeight: string;
                        fontSize: string;
                        letterSpacing: string;
                        paragraphSpacing: string;
                        textDecoration: string;
                        textCase: string;
                    };
                    tertiary: {
                        fontFamily: string;
                        fontWeight: string;
                        lineHeight: string;
                        fontSize: string;
                        letterSpacing: string;
                        paragraphSpacing: string;
                        textDecoration: string;
                        textCase: string;
                    };
                };
                label: {
                    primary: {
                        fontFamily: string;
                        fontWeight: string;
                        lineHeight: string;
                        fontSize: string;
                        letterSpacing: string;
                        paragraphSpacing: string;
                        textDecoration: string;
                        textCase: string;
                    };
                    secondary: {
                        fontFamily: string;
                        fontWeight: string;
                        lineHeight: string;
                        fontSize: string;
                        letterSpacing: string;
                        paragraphSpacing: string;
                        textDecoration: string;
                        textCase: string;
                    };
                    tertiary: {
                        fontFamily: string;
                        fontWeight: string;
                        lineHeight: string;
                        fontSize: string;
                        letterSpacing: string;
                        paragraphSpacing: string;
                        textDecoration: string;
                        textCase: string;
                    };
                };
                input: {
                    primary: {
                        fontFamily: string;
                        fontWeight: string;
                        lineHeight: string;
                        fontSize: string;
                        letterSpacing: string;
                        paragraphSpacing: string;
                        textDecoration: string;
                        textCase: string;
                    };
                    secondary: {
                        fontFamily: string;
                        fontWeight: string;
                        lineHeight: string;
                        fontSize: string;
                        letterSpacing: string;
                        paragraphSpacing: string;
                        textDecoration: string;
                        textCase: string;
                    };
                };
                button: {
                    primary: {
                        fontFamily: string;
                        fontWeight: string;
                        lineHeight: string;
                        fontSize: string;
                        letterSpacing: string;
                        paragraphSpacing: string;
                        textDecoration: string;
                        textCase: string;
                    };
                    secondary: {
                        fontFamily: string;
                        fontWeight: string;
                        lineHeight: string;
                        fontSize: string;
                        letterSpacing: string;
                        paragraphSpacing: string;
                        textDecoration: string;
                        textCase: string;
                    };
                    tertiary: {
                        fontFamily: string;
                        fontWeight: string;
                        lineHeight: string;
                        fontSize: string;
                        letterSpacing: string;
                        paragraphSpacing: string;
                        textDecoration: string;
                        textCase: string;
                    };
                };
            };
        };
    };
    components: {
        button: {
            transaction: {
                container: {
                    color: {
                        default: string;
                        hover: string;
                        active: string;
                        disable: string;
                    };
                    border: {
                        default: string;
                        hover: string;
                        active: string;
                        disable: string;
                    };
                };
                text: {
                    color: {
                        default: string;
                        hover: string;
                        active: string;
                        disabel: string;
                    };
                };
                icon: {
                    color: {
                        default: string;
                        hover: string;
                        active: string;
                        disabel: string;
                    };
                };
            };
            sm: {
                transaction: {
                    paddingHorizontal: string;
                    paddingVertical: string;
                    gap: string;
                    textLabel: {
                        fontFamily: string;
                        fontWeight: string;
                        lineHeight: string;
                        fontSize: string;
                        letterSpacing: string;
                        paragraphSpacing: string;
                        textDecoration: string;
                        textCase: string;
                    };
                    borderRadius: string;
                    icon: {
                        size: string;
                    };
                    shadow: {
                        color: string;
                        x: string;
                        y: string;
                        blur: string;
                        spread: string;
                    };
                };
                brand: {
                    paddingHorizontal: string;
                    paddingVertical: string;
                    gap: string;
                    icon: {
                        size: string;
                    };
                    borderRadius: string;
                    shadow: {
                        color: string;
                        x: string;
                        y: string;
                        blur: string;
                        spread: string;
                    };
                    textLabel: {
                        fontFamily: string;
                        fontWeight: string;
                        lineHeight: string;
                        fontSize: string;
                        letterSpacing: string;
                        paragraphSpacing: string;
                        textDecoration: string;
                        textCase: string;
                    };
                };
                alternative: {
                    paddingHorizontal: string;
                    paddingVertical: string;
                    gap: string;
                    icon: {
                        size: string;
                    };
                    borderRadius: string;
                    shadow: {
                        color: string;
                        x: string;
                        y: string;
                        blur: string;
                        spread: string;
                    };
                    textLabel: {
                        fontFamily: string;
                        fontWeight: string;
                        lineHeight: string;
                        fontSize: string;
                        letterSpacing: string;
                        paragraphSpacing: string;
                        textDecoration: string;
                        textCase: string;
                    };
                };
                outline: {
                    paddingHorizontal: string;
                    paddingVertical: string;
                    gap: string;
                    icon: {
                        size: string;
                    };
                    borderRadius: string;
                    shadow: {
                        color: string;
                        x: string;
                        y: string;
                        blur: string;
                        spread: string;
                    };
                    textLabel: {
                        fontFamily: string;
                        fontWeight: string;
                        lineHeight: string;
                        fontSize: string;
                        letterSpacing: string;
                        paragraphSpacing: string;
                        textDecoration: string;
                        textCase: string;
                    };
                };
            };
            md: {
                transaction: {
                    paddingHorizontal: string;
                    paddingVertical: string;
                    gap: string;
                    icon: {
                        size: string;
                    };
                    borderRadius: string;
                    shadow: {
                        color: string;
                        x: string;
                        y: string;
                        blur: string;
                        spread: string;
                    };
                    textLabel: {
                        fontFamily: string;
                        fontWeight: string;
                        lineHeight: string;
                        fontSize: string;
                        letterSpacing: string;
                        paragraphSpacing: string;
                        textDecoration: string;
                        textCase: string;
                    };
                };
                brand: {
                    paddingHorizontal: string;
                    paddingVertical: string;
                    gap: string;
                    icon: {
                        size: string;
                    };
                    borderRadius: string;
                    shadow: {
                        color: string;
                        x: string;
                        y: string;
                        blur: string;
                        spread: string;
                    };
                    textLabel: {
                        fontFamily: string;
                        fontWeight: string;
                        lineHeight: string;
                        fontSize: string;
                        letterSpacing: string;
                        paragraphSpacing: string;
                        textDecoration: string;
                        textCase: string;
                    };
                };
                alternative: {
                    paddingHorizontal: string;
                    paddingVertical: string;
                    gap: string;
                    icon: {
                        size: string;
                    };
                    borderRadius: string;
                    shadow: {
                        color: string;
                        x: string;
                        y: string;
                        blur: string;
                        spread: string;
                    };
                    textLabel: {
                        fontFamily: string;
                        fontWeight: string;
                        lineHeight: string;
                        fontSize: string;
                        letterSpacing: string;
                        paragraphSpacing: string;
                        textDecoration: string;
                        textCase: string;
                    };
                };
                outline: {
                    paddingHorizontal: string;
                    paddingVertical: string;
                    gap: string;
                    icon: {
                        size: string;
                    };
                    borderRadius: string;
                    shadow: {
                        color: string;
                        x: string;
                        y: string;
                        blur: string;
                        spread: string;
                    };
                    textLabel: {
                        fontFamily: string;
                        fontWeight: string;
                        lineHeight: string;
                        fontSize: string;
                        letterSpacing: string;
                        paragraphSpacing: string;
                        textDecoration: string;
                        textCase: string;
                    };
                };
            };
            lg: {
                transaction: {
                    paddingHorizontal: string;
                    paddingVertical: string;
                    gap: string;
                    icon: {
                        size: string;
                    };
                    borderRadius: string;
                    shadow: {
                        color: string;
                        x: string;
                        y: string;
                        blur: string;
                        spread: string;
                    };
                    textLabel: {
                        fontFamily: string;
                        fontWeight: string;
                        lineHeight: string;
                        fontSize: string;
                        letterSpacing: string;
                        paragraphSpacing: string;
                        textDecoration: string;
                        textCase: string;
                    };
                };
                brand: {
                    paddingHorizontal: string;
                    paddingVertical: string;
                    gap: string;
                    icon: {
                        size: string;
                    };
                    borderRadius: string;
                    shadow: {
                        color: string;
                        x: string;
                        y: string;
                        blur: string;
                        spread: string;
                    };
                    textLabel: {
                        fontFamily: string;
                        fontWeight: string;
                        lineHeight: string;
                        fontSize: string;
                        letterSpacing: string;
                        paragraphSpacing: string;
                        textDecoration: string;
                        textCase: string;
                    };
                };
                alternative: {
                    paddingHorizontal: string;
                    paddingVertical: string;
                    gap: string;
                    icon: {
                        size: string;
                    };
                    borderRadius: string;
                    shadow: {
                        color: string;
                        x: string;
                        y: string;
                        blur: string;
                        spread: string;
                    };
                    textLabel: {
                        fontFamily: string;
                        fontWeight: string;
                        lineHeight: string;
                        fontSize: string;
                        letterSpacing: string;
                        paragraphSpacing: string;
                        textDecoration: string;
                        textCase: string;
                    };
                };
                outline: {
                    paddingHorizontal: string;
                    paddingVertical: string;
                    gap: string;
                    icon: {
                        size: string;
                    };
                    borderRadius: string;
                    shadow: {
                        color: string;
                        x: string;
                        y: string;
                        blur: string;
                        spread: string;
                    };
                    textLabel: {
                        fontFamily: string;
                        fontWeight: string;
                        lineHeight: string;
                        fontSize: string;
                        letterSpacing: string;
                        paragraphSpacing: string;
                        textDecoration: string;
                        textCase: string;
                    };
                };
            };
            brand: {
                container: {
                    color: {
                        default: string;
                        hover: string;
                        active: string;
                        disable: string;
                    };
                    border: {
                        default: string;
                        hover: string;
                        active: string;
                        disable: string;
                    };
                };
                text: {
                    color: {
                        default: string;
                        hover: string;
                        active: string;
                        disabel: string;
                    };
                };
                icon: {
                    color: {
                        default: string;
                        hover: string;
                        active: string;
                        disabel: string;
                    };
                };
            };
            alternative: {
                container: {
                    color: {
                        default: string;
                        hover: string;
                        active: string;
                        disable: string;
                    };
                    border: {
                        default: string;
                        hover: string;
                        active: string;
                        disable: string;
                    };
                };
                text: {
                    color: {
                        default: string;
                        hover: string;
                        active: string;
                        disabel: string;
                    };
                };
                icon: {
                    color: {
                        default: string;
                        hover: string;
                        active: string;
                        disabel: string;
                    };
                };
            };
            outline: {
                container: {
                    color: {
                        default: string;
                        hover: string;
                        active: string;
                        disable: string;
                    };
                    border: {
                        default: string;
                        hover: string;
                        active: string;
                        disable: string;
                    };
                };
                text: {
                    color: {
                        default: string;
                        hover: string;
                        active: string;
                        disabel: string;
                    };
                };
                icon: {
                    color: {
                        default: string;
                        hover: string;
                        active: string;
                        disabel: string;
                    };
                };
            };
        };
    };
};
