"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.components = void 0;
var _index = require("../../tokens/fwdgi/index.js");
var _colors = require("./colors.js");
var _effects = require("./effects.js");
var _spacing = require("./spacing.js");
var _typography = require("./typography.js");
const theme = {
  ..._colors.colors,
  ..._effects.effects,
  ..._spacing.spacing,
  ..._typography.typography
};
const components = {
  button: {
    transaction: {
      container: {
        color: {
          default: theme.background.transaction,
          hover: theme.backgroundState.transaction.hover,
          active: theme.backgroundState.transaction.active,
          disable: theme.backgroundState.transaction.disable
        },
        border: {
          default: _index.tokens.null[100],
          hover: _index.tokens.null[100],
          active: _index.tokens.null[100],
          disable: _index.tokens.null[100]
        }
      },
      text: {
        color: {
          default: theme.content.base,
          hover: theme.content.base,
          active: theme.content.base,
          disabel: theme.contentState.base.disable
        }
      },
      icon: {
        color: {
          default: theme.content.base,
          hover: theme.content.base,
          active: theme.content.base,
          disabel: theme.contentState.base.disable
        }
      }
    },
    sm: {
      transaction: {
        paddingHorizontal: _index.tokens.padding.S,
        paddingVertical: _index.tokens.padding.S,
        gap: _index.tokens.padding.S,
        textLabel: theme.default.desktop.button.tertiary,
        borderRadius: _index.tokens.borderRadius.XS,
        icon: {
          size: '18px'
        },
        shadow: _index.tokens.elevation[0]
      },
      brand: {
        paddingHorizontal: _index.tokens.padding.S,
        paddingVertical: _index.tokens.padding.S,
        gap: _index.tokens.padding.S,
        icon: {
          size: '18px'
        },
        borderRadius: _index.tokens.borderRadius.XS,
        shadow: _index.tokens.elevation[0],
        textLabel: theme.default.desktop.button.tertiary
      },
      alternative: {
        paddingHorizontal: _index.tokens.padding.S,
        paddingVertical: _index.tokens.padding.S,
        gap: _index.tokens.padding.S,
        icon: {
          size: '18px'
        },
        borderRadius: _index.tokens.borderRadius.XS,
        shadow: _index.tokens.elevation[0],
        textLabel: theme.default.desktop.button.tertiary
      },
      outline: {
        paddingHorizontal: _index.tokens.padding.S,
        paddingVertical: _index.tokens.padding.S,
        gap: _index.tokens.padding.S,
        icon: {
          size: '18px'
        },
        borderRadius: _index.tokens.borderRadius.XS,
        shadow: _index.tokens.elevation[0],
        textLabel: theme.default.desktop.button.tertiary
      }
    },
    md: {
      transaction: {
        paddingHorizontal: _index.tokens.padding.M,
        paddingVertical: _index.tokens.padding.M,
        gap: _index.tokens.padding.M,
        icon: {
          size: '24px'
        },
        borderRadius: _index.tokens.borderRadius.XS,
        shadow: _index.tokens.elevation[0],
        textLabel: theme.default.desktop.button.secondary
      },
      brand: {
        paddingHorizontal: _index.tokens.padding.M,
        paddingVertical: _index.tokens.padding.M,
        gap: _index.tokens.padding.M,
        icon: {
          size: '24px'
        },
        borderRadius: _index.tokens.borderRadius.XS,
        shadow: _index.tokens.elevation[0],
        textLabel: theme.default.desktop.button.secondary
      },
      alternative: {
        paddingHorizontal: _index.tokens.padding.M,
        paddingVertical: _index.tokens.padding.M,
        gap: _index.tokens.padding.M,
        icon: {
          size: '24px'
        },
        borderRadius: _index.tokens.borderRadius.XS,
        shadow: _index.tokens.elevation[0],
        textLabel: theme.default.desktop.button.secondary
      },
      outline: {
        paddingHorizontal: _index.tokens.padding.M,
        paddingVertical: _index.tokens.padding.M,
        gap: _index.tokens.padding.M,
        icon: {
          size: '24px'
        },
        borderRadius: _index.tokens.borderRadius.XS,
        shadow: _index.tokens.elevation[0],
        textLabel: theme.default.desktop.button.secondary
      }
    },
    lg: {
      transaction: {
        paddingHorizontal: _index.tokens.padding.L,
        paddingVertical: _index.tokens.padding.L,
        gap: _index.tokens.padding.L,
        icon: {
          size: '24px'
        },
        borderRadius: _index.tokens.borderRadius.XS,
        shadow: _index.tokens.elevation[0],
        textLabel: theme.default.desktop.button.primary
      },
      brand: {
        paddingHorizontal: _index.tokens.padding.L,
        paddingVertical: _index.tokens.padding.L,
        gap: _index.tokens.padding.L,
        icon: {
          size: '24px'
        },
        borderRadius: _index.tokens.borderRadius.XS,
        shadow: _index.tokens.elevation[0],
        textLabel: theme.default.desktop.button.primary
      },
      alternative: {
        paddingHorizontal: _index.tokens.padding.L,
        paddingVertical: _index.tokens.padding.L,
        gap: _index.tokens.padding.L,
        icon: {
          size: '24px'
        },
        borderRadius: _index.tokens.borderRadius.XS,
        shadow: _index.tokens.elevation[0],
        textLabel: theme.default.desktop.button.primary
      },
      outline: {
        paddingHorizontal: _index.tokens.padding.L,
        paddingVertical: _index.tokens.padding.L,
        gap: _index.tokens.padding.L,
        icon: {
          size: '24px'
        },
        borderRadius: _index.tokens.borderRadius.XS,
        shadow: _index.tokens.elevation[0],
        textLabel: theme.default.desktop.button.primary
      }
    },
    brand: {
      container: {
        color: {
          default: theme.background.accent,
          hover: theme.backgroundState.accent.hover,
          active: theme.backgroundState.accent.active,
          disable: theme.backgroundState.accent.disable
        },
        border: {
          default: _index.tokens.null[100],
          hover: _index.tokens.null[100],
          active: _index.tokens.null[100],
          disable: _index.tokens.null[100]
        }
      },
      text: {
        color: {
          default: theme.content.base,
          hover: theme.content.base,
          active: theme.content.base,
          disabel: theme.contentState.base.disable
        }
      },
      icon: {
        color: {
          default: theme.content.base,
          hover: theme.content.base,
          active: theme.content.base,
          disabel: theme.contentState.base.disable
        }
      }
    },
    alternative: {
      container: {
        color: {
          default: theme.background.dark,
          hover: theme.backgroundState.dark.hover,
          active: theme.backgroundState.dark.active,
          disable: theme.backgroundState.dark.disable
        },
        border: {
          default: _index.tokens.null[100],
          hover: _index.tokens.null[100],
          active: _index.tokens.null[100],
          disable: _index.tokens.null[100]
        }
      },
      text: {
        color: {
          default: theme.content.baseInverse,
          hover: theme.content.baseInverse,
          active: theme.content.baseInverse,
          disabel: theme.contentState.baseInverse.disable
        }
      },
      icon: {
        color: {
          default: theme.content.baseInverse,
          hover: theme.content.baseInverse,
          active: theme.content.baseInverse,
          disabel: theme.contentState.baseInverse.disable
        }
      }
    },
    outline: {
      container: {
        color: {
          default: _index.tokens.null[100],
          hover: _index.tokens.null[100],
          active: _index.tokens.null[100],
          disable: _index.tokens.null[100]
        },
        border: {
          default: _index.tokens.null[100],
          hover: _index.tokens.null[100],
          active: _index.tokens.null[100],
          disable: _index.tokens.null[100]
        }
      },
      text: {
        color: {
          default: theme.content.base,
          hover: theme.contentState.base.hover,
          active: theme.contentState.base.active,
          disabel: theme.contentState.base.disable
        }
      },
      icon: {
        color: {
          default: theme.content.base,
          hover: theme.contentState.base.hover,
          active: theme.contentState.base.active,
          disabel: theme.contentState.base.disable
        }
      }
    }
  }
};
exports.components = components;